Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.ra
Class ActiveMQManagedConnectionFactory

    java.lang.Object
      org.codehaus.activemq.ra.ActiveMQManagedConnectionFactory

All Implemented Interfaces:
  ManagedConnectionFactory, ResourceAdapterAssociation, java.io.Serializable

public class ActiveMQManagedConnectionFactory
extends java.lang.Object
implements ManagedConnectionFactory, ResourceAdapterAssociation

Version:
  $Revision: 1.7 $
See Also:
  Serialized Form

Constructor Summary
`ActiveMQManagedConnectionFactory()`

Method Summary
`java.lang.Object` | `createConnectionFactory()` This is used when not running in an app server.
`java.lang.Object` | `createConnectionFactory(ConnectionManager manager)`
`ManagedConnection` | `createManagedConnection(javax.security.auth.Subject subject, ConnectionRequestInfo info)`
`java.io.PrintWriter` | `getLogWriter()`
`ResourceAdapter` | `getResourceAdapter()`
`ManagedConnection` | `matchManagedConnections(java.util.Set connections, javax.security.auth.Subject subject, ConnectionRequestInfo info)`
`void` | `setLogWriter(java.io.PrintWriter logWriter)`
`void` | `setResourceAdapter(ResourceAdapter adapter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.resource.spi.ManagedConnectionFactory
`equals, hashCode`

Constructor Detail

### ActiveMQManagedConnectionFactory

    public ActiveMQManagedConnectionFactory()

Method Detail

### setResourceAdapter

    public void setResourceAdapter(ResourceAdapter adapter)
                            throws ResourceException

  Specified by:
    `setResourceAdapter` in interface `ResourceAdapterAssociation`
  Throws:
    `ResourceException`
  See Also:
    `javax.resource.spi.ManagedConnectionFactory#setResourceAdapter(javax.resource.spi.ResourceAdapter)`

### getResourceAdapter

    public ResourceAdapter getResourceAdapter()

  Specified by:
    `getResourceAdapter` in interface `ResourceAdapterAssociation`
  See Also:
    `javax.resource.spi.ManagedConnectionFactory#getResourceAdapter()`

### createConnectionFactory

    public java.lang.Object createConnectionFactory(ConnectionManager manager)
                                             throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnectionFactory.createConnectionFactory(javax.resource.spi.ConnectionManager)`

### createConnectionFactory

    public java.lang.Object createConnectionFactory()
                                             throws ResourceException

  This is used when not running in an app server. For now we are creating a ConnectionFactory that has our SimpleConnectionManager implementation but it may be a better idea to not support this. The JMS api will have many quirks the user may not expect when running through the resource adapter.

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnectionFactory.createConnectionFactory()`

### createManagedConnection

    public ManagedConnection createManagedConnection(javax.security.auth.Subject subject,
                                                     ConnectionRequestInfo info)
                                              throws ResourceException

  Specified by:
    `createManagedConnection` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnectionFactory.createManagedConnection(javax.security.auth.Subject, javax.resource.spi.ConnectionRequestInfo)`

### matchManagedConnections

    public ManagedConnection matchManagedConnections(java.util.Set connections,
                                                     javax.security.auth.Subject subject,
                                                     ConnectionRequestInfo info)
                                              throws ResourceException

  Specified by:
    `matchManagedConnections` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnectionFactory.matchManagedConnections(java.util.Set, javax.security.auth.Subject, javax.resource.spi.ConnectionRequestInfo)`

### setLogWriter

    public void setLogWriter(java.io.PrintWriter logWriter)
                      throws ResourceException

  Specified by:
    `setLogWriter` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnectionFactory.setLogWriter(java.io.PrintWriter)`

### getLogWriter

    public java.io.PrintWriter getLogWriter()
                                     throws ResourceException

  Specified by:
    `getLogWriter` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnectionFactory.getLogWriter()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.